<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta content="text/html; charset=UTF-8" http-equiv="Content-Type"/>
    <title>Getting Started Service Web Content</title>
    <meta content="width=device-width, initial-scale=1" name="viewport">
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" rel="stylesheet">
    <link href="/css/img.css" rel="stylesheet"/>
</head>
<body>
<div th:replace="nav.html :: body"></div>
<div class="container">
    <form enctype="multipart/form-data" id="singleUploadForm" method="post" th:action="@{auction}"
          th:object="${auctionDTO}">

        <div class="form-row">

            <div class="col-md-4 mb-3">
                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="basic-addon1">Title</span>
                    </div>
                    <input class="form-control" id="title"
                           th:field="${auctionDTO.title}" type="text">
                    <td th:errors="${auctionDTO.title}" th:if="${#fields.hasErrors('title')}">title error</td>
                </div>
            </div>

            <div class="col-md-4 mb-3">
                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="basic-addon2">Type Of Character</span>
                    </div>
                    <select class="custom-select" id="typeOfCharacter" th:field="${auctionDTO.typeOfCharacter}">
                        <option disabled hidden selected th:text="${auctionDTO.typeOfCharacter}" value=""></option>
                        <option value="pony">Pony</option>
                        <option value="furry">Furry</option>
                        <option value="human">Human</option>
                    </select>
                </div>
            </div>

            <div class="col-md-4 mb-3">
                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="basic-addon3">Type Of Image</span>
                    </div>
                    <select class="custom-select" id="inputGroupChoseType" th:field="${auctionDTO.typeOfImage}">
                        <option disabled hidden selected th:text="${auctionDTO.typeOfImage}" value=""></option>
                        <option value="safe">Safe</option>
                        <option value="questionable">Questionable</option>
                        <option value="explicit">Explicit</option>
                    </select>
                </div>
            </div>
        </div>

        <div class="form-row">
            <div class="col-md-4 mb-3">
                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text">Starting Bid</span>
                    </div>
                    <input class="form-control" id="startingBid" required th:field="${auctionDTO.startingBid}"
                           type="text">
                    <td th:errors="${auctionDTO.startingBid}" th:if="${#fields.hasErrors('startingBid')}">startingBid
                        error
                    </td>
                </div>
            </div>
            <div class="col-md-4 mb-3">
                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text">Minimum Bid</span>
                    </div>
                    <input class="form-control" id="minimumBid" required th:field="${auctionDTO.minimumBid}"
                           type="text">
                    <td th:errors="${auctionDTO.minimumBid}" th:if="${#fields.hasErrors('minimumBid')}">minimumBid
                        error
                    </td>
                </div>
            </div>
            <div class="col-md-4 mb-3">
                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text">Auto buy</span>
                    </div>
                    <input class="form-control" id="autoBuy" required th:field="${auctionDTO.autoBuy}" type="text">
                    <td th:errors="${auctionDTO.autoBuy}" th:if="${#fields.hasErrors('autoBuy')}">autoBuy error
                    </td>
                </div>
            </div>
        </div>

        <div class="form-row">
            <div class="col-md-4 mb-2">
                <div class="input-group mb-2">
                    <div class="input-group-prepend">
                        <span class="input-group-text">Select image</span>
                    </div>
                    <div class="custom-file">
                        <input aria-describedby="inputGroupFileAddon01" class="custom-file-input" id="inputGroupFile01"
                               required th:field="${auctionDTO.file}" type="file"/>
                        <label class="custom-file-label" for="inputGroupFile01">Choose file</label>
                    </div>
                </div>
            </div>
            <div class="col-md-4 mb-2">
                <div class="input-group mb-2">
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="basic-addon4">Time of auction</span>
                    </div>
                    <select class="custom-select" id="chooseTime" th:field="${auctionDTO.auctionTime}">
                        <option disabled hidden selected th:text="${auctionDTO.auctionTime}" value=""></option>
                        <option value="1">1</option>
                        <option value="2">2</option>
                        <option value="3">3</option>
                        <option value="4">4</option>
                        <option value="5">5</option>
                        <option value="6">6</option>
                        <option value="7">7</option>
                    </select>
                </div>
            </div>
        </div>

        <div class="form-group">
            <label for="description">Description</label>
            <textarea aria-label="With textarea" class="form-control" id="description"
                      style="height: 250px; width: 612px"
                      th:field="${auctionDTO.description}"></textarea>
            <td th:errors="${auctionDTO.description}" th:if="${#fields.hasErrors('description')}">description error</td>
        </div>

        <td><input class="form-control" th:field="${auctionDTO.imageId}" type="hidden"/></td>

        <button class="btn btn-primary" type="submit">Create New Account</button>
    </form>
</div>

</body>
</html>